Okta Identity Governance
/Management APIs
/- Replace a collection resource
Create a resource collection
List all resource collections
Retrieve a resource collection
Replace a resource collection
Delete a collection
List all collection resources
Add the resources to a collection
Delete a collection resource
Retrieve a collection resource
Retrieve the unassigned users
List all assignments for a collection
Assign a collection to principals
Update a principal assignment
Delete a principal assignment
List all assignments for all collections
Replace a collection reso...
Replaces a specified resource in a collection
Note: This endpoint is deprecated. Use replaceCollectionResourceV2 instead.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}
curl -i -X PUT \
'https://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}' \
-H 'Content-Type: application/json' \
-d '{
"entitlements": [
{
"id": "espo3v6xlwdtEX2il1d6",
"values": [
{
"id": "ento3v6xmkviXCltm1d6"
}
]
},
{
"id": "esp4rg7fkom0c3AsX8g6",
"values": [
{
"id": "ent4rg7fltWSgrlDT8g6"
}
]
}
]
}'Response to a successful collection resource update operation
The ORN identifier for a specific app. Other resource types aren't supported.
See the supported-resources endpoint for reference.
The Okta app.id of the resource.
See List applications to retrieve app IDs.
Links available on a resource within a resource collection
The entitlements associated with the collection. Use the include query parameter to return entitlements for the collection.
Response
{ "resourceOrn": "orn:okta:idp:00ofsdghasfhas54wewe:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceProfile": { "id": "0oafxqCAJWWGELFTYASJ", "name": "salesforce", "label": "Salesforce", "logo": [ … ] }, "entitlementValueCount": 2, "entitlements": [ { … }, { … } ], "_links": { "entitlements": { … } } }